VehicleAsk AIpost https://customer_id.prod.smartlane.io/api/vehicleBody Paramsidint32custom_idstringUser-defined unique identifier of a vehicle.namestringVehicle name.platestringAdditional identifier (e.g. car license plate).vehicle_classstringenumDefines speeds and restrictions on routes.nonecartruckvanAllowed:nonecartruckvanvehicletypeobjectThe Vehicletype can be referenced by a vehicle. Every empty field of the vehicle uses the corresponding type of the vehicletype.vehicletype objectdepot_locationobjectdepot_location objectdepot_location_idint32reference to Depot address entity. Either this or use the full depot address above. Only one can be usedend_locationobjectend_location objectend_location_idint32reference to the vehicle end location address entity. Either this or use the full end location address above. Only one can be usedcapacity_1int32Capacity corresponding to load type 1.capacity_2int32Capacity corresponding to load type 2.capacity_3int32Capacity corresponding to load type 3.daily_ratefloatFixed cost of a vehicle which is used in a tour.km_ratefloatVariable cost of vehicle per driven km.waiting_hour_ratefloatVariable cost of idle time.traveltime_factorfloatVehicle speed correction factor.departure_time_fromdate-timeEarliest start time of tour (departure of driver), ISO 8601 time (not date-time format).departure_time_todate-timeLatest start time of tour (departure of driver), ISO 8601 time (not date-time format).return_time_todate-timeLatest end time of tour (return of driver, or last delivery), ISO 8601 time (not date-time format).roundtripbooleanShould the vehicle return to the depot?truefalsemax_tour_durationint32Maximum tour duration in minutes (lower priority than return_time_to).activebooleanDefines whether the vehicle is used for the route calculations.truefalseload_classstringName of the assigned LoadClass.obeys_territory_mappingbooleanDefines if the territory restrictions are active for this vehicle.truefalseterritory_custom_idsarray of stringsList of territory custom ids the vehicle should be assigned to. Only works when obeys_territory_mapping = true.territory_custom_idsADD stringsecondary_territory_custom_idsarray of stringsList of secondary territory custom ids the vehicle should be assigned to. Only works when obeys_territory_mapping = true.secondary_territory_custom_idsADD stringmax_load_heightfloatMaximum load height of the vehicle.liftgatebooleanDefines if the vehicle has a liftgate.truefalsetrailerbooleanDefines if the vehicle has a trailer.truefalsevariable_els_seconds_per_loadarray of int32svariable_els_seconds_per_loadADD int32fixed_els_secondsint32Fixed length of stay at a stop for the vehicle.depot_els_configobjectEls values for each load dimension used for loading and unloading at the depot.depot_els_config objectmax_allowed_weightint32Maximum allowed weight of a vehicle in kg.widthint32Width of the vehicle in cm.heightint32Height of the vehicle in cm.lengthint32Length of the vehicle in cm.max_adr_pointsint32Maximum allowed ADR points on the vehicle.max_allowed_kmint32Maximum allowed km a vehicle is allowed to travel.Responses 201OK. 403An error message caused by missing authorization (403 forbidden) 422An error message caused by unprocessable input (e.g. no data found for input parameters). defaultUnexpected error.Updated 7 months ago